| Home | Libraries | People | FAQ | More

## Class signal_base

boost::signals2::signal_base — Base class for signals.

## Synopsis

    // In header: <boost/signals2/signal_base.hpp>

    class signal_base : public noncopyable {
    public:
      // construct/copy/destruct
      virtual ~signal_base();
    };

## Description

### `signal_base` public construct/copy/destruct

1.     virtual ~signal_base();

   Virtual destructor.